> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a EmailTemplate



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json patch /api/entities/emailtemplate/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/emailtemplate/{id}:
    patch:
      tags:
        - EmailTemplate
      summary: Update a EmailTemplate
      operationId: updateEmailTemplate
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailTemplate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updated:
                    type: boolean
                type: object
          description: Updated
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    EmailTemplate:
      properties:
        body:
          type: string
        bodyHtml:
          type: string
        bodyJson:
          description: Arbitrary JSON value
        enabled:
          type: boolean
        eventId:
          type: string
        id:
          type: string
        key:
          type: string
        orgId:
          type: string
        subject:
          type: string
      required:
        - id
        - orgId
        - eventId
        - key
        - subject
        - body
        - enabled
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````